<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php
$fecha = date('Y-m-d');
if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}else{//Solo los Hijos del Colaborador
  	$IdPadre = myUser::getUser()->getIdColaborador();
}

//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}
/*
$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($IdPadre); 

$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaDiaBalanceAbierto = $o_BalanceDiaNewDP->ObtenerDiaAbierto();
*/
//Obtener el nombre del Adminitrador
$idAdministrador = $IdPadre;
$o_ColaboradorAdmin = new ColaboradorBean();
$o_ColaboradorAdmin->setIdColaborador($idAdministrador);

$o_ColaboradorAdminBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorAdminBL->busquedaColaborador($o_ColaboradorAdmin);
foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreAdministrador = $o_Colaborador->getNombreCompleto();
}

$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
$o_BalanceDiaNew->setIdAdministrador($IdPadre); 
$o_BalanceDiaNew->setIdSucursal($IdSucursal); 


$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();


if(isset($control)){
  
  $o_CrPrAsignarCabeceraDP = new CrPrAsignarCabeceraDP();
  
  $o_CrPrAsignarCabeceraDP->setFecha($txtFecha);
  $o_CrPrAsignarCabeceraDP->setIdmercado($cboMercado);
  $o_CrPrAsignarCabeceraDP->setIdcolaborador($cboColaborador);
  $o_CrPrAsignarCabeceraDP->setEstado('A');
  $o_CrPrAsignarCabeceraDP->setFecharegistro(date("Y-m-d H:i:s"));
  $o_CrPrAsignarCabeceraDP->setUsuarioRegistro(myUser::getUser()->getUserId());
   
  $bResult = $o_CrPrAsignarCabeceraDP->save();
  
  if($bResult){
    ?>
    <script language="JavaScript">
    document.location.href = '<?php echo buildUrl('asigcob/detalle','block=001&fecha='.$txtFecha.'&idMercado='.$cboMercado.'&idColaborador='.$cboColaborador);?>';
    </script>
    <?
  }else{
    $url = buildUrl('adsadd', "block=".$block."&error=1");
  }
  exit;
}

////////////////
$IdAdministrador	  		= myUser::getUser()->getIdColaborador();
$o_ObjectBean 				= new SucursalBean();
$o_ObjectBean->setIdAdministrador($IdAdministrador);
		
$o_class 					= new SucursalBL();
$a_ObjectBean 				= $o_class->busquedaSucursal($o_ObjectBean);

if(count($a_ObjectBean) > 0){
	foreach ($a_ObjectBean as $iKey => $o_objBean){
		$a_user['idsucursal'] = $o_objBean->getIdSucursal();
		$a_user['sucursal'] = $o_objBean->getDescripcion();
		$o_SucursalMercadoBean = new SucursalMercadoBean();
		$o_SucursalMercadoBean->setIdSucursal($o_objBean->getIdSucursal());
		$o_SucursalMercadoBL = new SucursalMercadoBL();
		$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
		if(is_array($a_o_sucursalmercado)){
			foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
				$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
			}
		}
	}
	$o_MercadoBean = new MercadoBean();
	$o_MercadoBean->sortCampos = "Descripcion";
	$o_MercadoBean->sortType = "1";
	if(!is_array($a_IdMercados)) $a_IdMercados[] = 'x'; 
	$o_MercadoBean->setIdMercados($a_IdMercados);
	$o_MercadoDP = new MercadoDP($o_MercadoBean);
	$a_o_Mercados = $o_MercadoDP->select();
}


$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdPadre(myUser::getUser()->getIdColaborador());	

$o_ColaboradorBean->sortCampos = "Apellido;Nombre";
$o_ColaboradorBean->sortType = "1;1";
$o_ColaboradorBean->setIdRol('sys.sup');
$o_ColaboradorBean->setEstado('A');
$o_AdelantoSystemClass = new AdelantoSystemClass($o_ColaboradorBean);

$a_Colaborador = $o_AdelantoSystemClass->getColaborador();


 ?>
 
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Asignacion de Cobranzas</li>
            </td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
     
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
          		<tr>
    				  <td height="0">
    				  
    					
    					<?php
		                $s_Param = '';
		                if( isset( $id ) )
		                {
		                    $s_Param = 'id='.$id;
		                }
		                ?>
						<table id="tabShowScan" cellpadding="0" cellspacing="0" class="" style="margin-top: 5px;">
			                <tr>
			                  <td class="mnuActivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
			                  <td class="mnuActivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('asigcob/edit', $s_Param) ?>';">Datos Generales</td>
			                  <td class="mnuActivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
			                  <?php if( isset( $id ) && $id != "" ){ ?>
			                  	                  
			                  <td class="mnuInactivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
			                  <td class="mnuInactivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('asigcob/detalle', $s_Param) ?>';">Detalle</td>
			                  <td class="mnuInactivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
			                  
			                  <?php } ?>
			                </tr>
			           </table>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0"  class="marco">
							  <tr>
							  	<td width="8%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Fecha</label></td>
                      
			                    <td nowrap="nowrap"><input class="text" type="text" ondblclick="this.value=''" name="txtFecha" id="txtFecha" size="10" readonly value="<?=$fecha?>"/>&nbsp;<button type="button" onclick="return false" id="btnFecha">...</button></td>
			                      <script type="text/javascript">
			                            document.getElementById("txtFecha").disabled = false;
			                            Calendar.setup({
			                              inputField : "txtFecha",
			                              ifFormat : "%Y-%m-%d",
			                              daFormat : "%Y-%m-%d",
			                              button   : "btnFecha"
			                            });
			                     </script>
							  </tr>
							   <tr>
				                  <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Mercado</label></td>
				  				  <td nowrap="nowrap"><select class="combo validate-selection " name="cboMercado" id="cboMercado" onchange="actualizarSupervisores(this)" >
				                  <option value="" > - Seleccionar - </option>
				                  <?php foreach ($a_o_Mercados as $iKey => $o_Mercado){ ?>
				                  <option value="<?=$o_Mercado->getIdMercado()?>">
				                    <?=$o_Mercado->getDescripcion()?>
				                  </option>
				                  
				                  <?php } ?>
				               	 </select>
				               	</td>
				              </tr>
							  <tr>
				                  <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Supervisor</label></td>
				  				  <td nowrap="nowrap"><select class="combo validate-selection " name="cboColaborador" id="cboColaborador" onchange="acutalizarEspecialidad('cboEspecialidad',this)" >
				                  <option value="" > - Seleccionar - </option>
				                  <?php foreach ($a_Colaborador as $iKey => $o_ColaboradorBean){ ?>
				                  <option value="<?=$o_ColaboradorBean->getIdColaborador()?>">
				                    <?=$o_ColaboradorBean->getNombreCompleto()?>
				                  </option>
				                  <?php } ?>
				               	 </select>
				               	</td>
				              </tr>
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar y Siguiente" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
							</table>
    					
    				</td>
                </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
